pilot-read-notepad(1)

NAME
pilot-read-notepad - List the record information found in the Palm Notepad

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-read-notepad [-p|--port <port>] [-q|--quiet] [--version] [-?|--help] [--usage] [-l|--list] [-t|--type ppm|png]

DESCRIPTION

Connect to the Palm handheld and list the record information found in the Palm Notepad application (found on OS4 and newer devices). If --type is specified, each record's image will be converted to files, using Portable Network Graphic (.png) or Portable Pixmap (.ppm) format.

 pilot-read-notepad allows a user running PalmOS 4.0 or later to read the data stored in the Palm Notepad application and extract the data into images and convert them to Portable Network Graphics (.png) or Portable Pixmap (.ppm) files.

OPTIONS

  pilot-read-notepad options
                        -l, --list

List picture information found on the device instead of converting them to image files.
                        -t,
                        --type type

Specify the output picture type. Can be either "png" or "ppm".

  Conduit Options
                        -p, --port port

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-read-notepad will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-read-notepad will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-read-notepad and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-read-notepad and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to the target Palm handheld, and list or convert the records and images found in the Palm Notepad application to Portable Network Graphic (.png) or Portable Pixmap (.ppm) files.

AUTHOR

 pilot-read-notepad was originally written by Angus Ainslie <angusa@deltatee.com>.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7)